name: linuxserver-phpmyadmin
services:
  app:
    image: linuxserver/phpmyadmin:5.2.3
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      PMA_ARBITRARY: ''
      PMA_ABSOLUTE_URI: ''
      PMA_HOST: 172.17.0.1
      PMA_USER: casaos
      PMA_PASSWORD: casaos
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: PMA_ARBITRARY
          description:
            en_us: Set to 1 to allow you to connect to any server. Setting to 0 will only allow you to connect to specified hosts (See Application Setup) [OPTIONAL]
        - container: PMA_ABSOLUTE_URI
          description:
            en_us: Set the URL you will use to access the web frontend [OPTIONAL]
    ports:
      - target: 8081
        published: 80
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/phpmyadmin/config
        target: /config
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: Phpmyadmin is a free software tool written in PHP, intended to handle the administration of MySQL over the Web. phpMyAdmin supports a wide range of operations on MySQL and MariaDB.
  tagline:
    en_us: A free software tool written in PHP, intended to handle the administration of MySQL over the Web. PhpMyAdmin supports a wide range of operations on MySQL and MariaDB.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/phpmyadmin-logo.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/phpmyadmin-logo.png
  title:
    en_us: Phpmyadmin
  category: LinuxServer.io
  port_map: '8081'
